Package org.apache.sling.scripting.sightly.java.compiler.impl.operator

## Class LongOpGen

- java.lang.Object
- - org.apache.sling.scripting.sightly.java.compiler.impl.operator.NumericOpGen
  - - org.apache.sling.scripting.sightly.java.compiler.impl.operator.LongOpGen

All Implemented Interfaces:
  `BinaryOpGen`

    public class LongOpGen
    extends NumericOpGen

Generator for long numeric operators

### Constructor Summary

Constructors
`LongOpGen​(String javaOperator, org.apache.sling.scripting.sightly.compiler.expression.nodes.BinaryOperator binaryOperator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.sling.scripting.sightly.java.compiler.impl.Type` `commonType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type leftType, org.apache.sling.scripting.sightly.java.compiler.impl.Type rightType)`

### Methods inherited from class org.apache.sling.scripting.sightly.java.compiler.impl.operator.NumericOpGen

`generate, returnType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongOpGen

    public LongOpGen​(String javaOperator,
                     org.apache.sling.scripting.sightly.compiler.expression.nodes.BinaryOperator binaryOperator)

### Method Detail

#### commonType

    protected org.apache.sling.scripting.sightly.java.compiler.impl.Type commonType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type leftType,
                                                                                    org.apache.sling.scripting.sightly.java.compiler.impl.Type rightType)

Overrides:
  `commonType` in class `NumericOpGen`